<template>
  <div class="rui-toolbar" :class="componentCSS">
    <div v-if="label || $slots.label" class="rui-toolbar__label">
      <!-- @slot Custom title to use instead of `title` prop -->
      <slot name="label">{{ label }}</slot>
    </div>
    <slot />

    <div v-if="$slots.right" class="rui-toolbar__right-content">
      <!-- @slot Custom content like a "help" button -->
      <slot name="right" />
    </div>
  </div>
</template>

<script>
/**
 * Group buttons together
 *
 * @preset Default { "slots": { "default": "<button>Action 1</button>\n<button>Action 2</button>" } }
 * @propsGroup Display  [block]
 * @propsGroup Behavior [noLabelOnSmall]
 * @propsGroup Content  [label]
 */
export default {
  name: 'RuiToolbar',
  props: {
    /** Optional label for the group */
    label: { required: false, type: String, default: null },
    /** Whether to hide the label on small screens */
    noLabelOnSmall: { required: false, type: Boolean, default: false },
    /** Whether to fill the available horizontal space. Useful with block buttons */
    block: { required: false, type: Boolean, default: false },
  },
  computed: {
    componentCSS () {
      return [
        this.noLabelOnSmall && 'rui-toolbar--no-label-on-small',
        this.block && 'rui-toolbar--block',
        !!this.$slots.right && 'rui-toolbar--has-right-content',
      ]
    },
  },
}
</script>
